const app = getApp()
const util = require("../../../utils/util");
const api = require('../../../api/api.js');
const user = require('../../../utils/user.js');
const formatDate=require("../../../utils/util")
import moment from 'moment'




Page({
  data: {
    startDate: '',
    endDate: '',
    max: 5,
    fileList: [],
    date: moment(new Date()).format('YYYY-MM'),
    currentDate: new Date().getTime(),
    minDate: new Date('2022-01-01').getTime(),
    pickerShow:false,
    type:'',

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },
  goDetail() {
    wx.navigateTo({
      url: '/pages/upgrade/xnbInfo/xnbInfo',
    })
  },
  /* startPicker(){
    this.setData({
      pickerShow:true,
      type:'start'
    });
  }, */
 /*  endPicker(){
    this.setData({
      pickerShow:true,
      type:'end'
    });
  }, */
/*   onCancel(){
    this.setData({
      pickerShow:false
    })
  }, */
/*   onConfirm(e){
    console.log(e);
    let date=moment(e.detail).format('YYYY-MM');
    if(this.data.type=='start'){
      this.setData({
        startDate:date,
        pickerShow:false
      });
    }else{
      this.setData({
        endDate:date,
        pickerShow:false
      });
    }
  }, */
getDate(){
  let today=new Date()
  // console.log(formatDate.formatDate(today));
  let startTime=formatDate.formatDate(today)
  const year=today.getFullYear()
  // console.log(year);
  let endTime=`${year}-12-31`
  // console.log(endTime);
  this.setData({
    startDate:startTime,
    endDate:endTime
  })
},


  getDetail() {

    util.request(api.getDetail, {
      id: this.data.id
    }, 'GET').then(res => {
      if (res.errno === 0) {
        this.setData({
          isFinish: res.data.feedbackComment == '' ? false : true,
          feedbackInfo: res.data,
          content: res.data.feedbackComment
        });
        if (this.data.isFinish) {
          let imgs = res.data.feedbackImgs;
          if (imgs == '') {
            this.setData({
              uploadShow: false,
            });
          } else {
            let list = imgs.split(',');
            let current = [];
            list.forEach(item => {
              let obj = {
                url: item
              };
              current.push(obj);
            });
            this.setData({
              fileList: current,
              max: current.length,
            });
          }
        }
      }


    });

  },

  deleteImage(event) {
    const { fileList = [] } = this.data;
    fileList.splice(event.detail.index, 1)
    this.setData({
      fileList: fileList
    })
    let urls = [];
    fileList.forEach(function (e) {
      urls.push(e.url);
    })
    this.setData({
      "pictures": urls
    })
  },
  afterRead(event) {
    console.log(event);
    const { file } = event.detail
    let that = this;
    const uploadTask = wx.uploadFile({
      url: api.StorageUpload(),
      filePath: file.url,
      name: 'file',
      success: function (res) {
        console.log(res);
        var _res = JSON.parse(res.data);
        if (_res.errno === 0) {
          var url = _res.data.fileUrl;

          const { fileList = [] } = that.data;
          fileList.push({ ...file, url: url });
          that.setData({
            fileList: fileList
          })
        }
      },
      fail: function (e) {
        wx.showModal({
          title: '错误',
          content: '上传失败',
          showCancel: false
        })
      },
    })
  },
  submit() {
    if (this.data.fileList.length == 0) {
      wx.showToast({
        title: '请上传新农保照片',
        icon: 'none'
      });
    } else {
      let imgs = [];
      this.data.fileList.forEach(item => {
        imgs.push(item.url)
      });
      util.request(api.uploadNewFarmer, {
        effectStartMonth:this.data.startDate,
        effectEndMonth:this.data.endDate,
        newFarmerList:imgs


      }, 'POST').then(res => {
        if (res.errno === 0) {
          // wx.showToast({
          //   title: '提交成功',
          //   icon:'none'
          // });
          wx.showModal({
            title: '提醒',
            content: '提交成功',
            showCancel: false, //是否显示取消按钮 
            success: function (res) {
              wx.navigateBack({
                delta: 1,
              });
            }
          })


        }else{
          wx.showToast({
            title: res.errmsg,
            icon:'none'
          })
        }


      });


    }
  },
  onReachBottom() {
    // if (this.data.totalPages > this.data.page) {
    //   this.setData({
    //     page: this.data.page + 1
    //   });
    //   this.getGoodsList();
    // } else {
    //   wx.showToast({
    //     title: '没有更多商品了',
    //     icon: 'none',
    //     duration: 2000
    //   });
    //   return false;
    // }
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
   this.getDate()

  },

  onHide: function () {

  },

  onUnload: function () {

  },


  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },


})